<?xml version="1.0" encoding="UTF-8"?>

<tableDescriptions type="DT">
  <table name="FrameMeta">
    <column name="frameID" type="TLONG" default="0" comment="unique exposure/frame identifier."></column>
    <column name="surveyID" type="TBYTE" default="0" comment="survey flag identifier"></column>
    <column name="filterID" type="TBYTE" default="0" comment="filter identifier"></column>
    <column name="cameraID" type="TSHORT" default="0" comment="camera identifier"></column>
    <column name="cameraConfigID" type="TSHORT" default="0" comment="camera configuration identifier"></column>
    <column name="telescopeID" type="TSHORT" default="0" comment="telescope identifier"></column>
    <column name="analysisVer" type="TSHORT" default="-999" comment="version number of analysis"></column>
    <column name="p1Recip" type="TSHORT" default="-999" comment="IPP phase 1 recipe ID"></column>
    <column name="p2Recip" type="TSHORT" default="-999" comment="IPP phase 2 recipe ID"></column>
    <column name="p3Recip" type="TSHORT" default="-999" comment="IPP phase 3 recipe ID"></column>
    <column name="nP2Images" type="TSHORT" default="-999" comment="number of OTA/CCD images in this P2 exposure"></column>
    <column name="astroScat" type="TFLOAT" default="-999" comment=" global astrometric scatter (unit = mas)"></column>
    <column name="photoScat" type="TFLOAT" default="-999" comment=" global photometric scatter (unit = mag)"></column>
    <column name="nAstRef" type="TLONG" default="-999" comment="number of astrometric reference sources"></column>
    <column name="nPhoRef" type="TLONG" default="-999" comment="number of photometric reference sources"></column>
    <column name="expStart" type="TFLOAT" default="-999" comment=" exposure start time in MJD (unit = day)"></column>
    <column name="expTime" type="TFLOAT" default="-999" comment=" exposure time (unit = s)"></column>
    <column name="airmass" type="TFLOAT" default="-999" comment="airmass at mid-exposure"></column>
    <column name="raBore" type="TFLOAT" default="-999" comment=" RA of telescope boresight (unit = deg)"></column>
    <column name="decBore" type="TFLOAT" default="-999" comment=" DEC of telescope boresight (unit = deg)"></column>
    <column name="ctype1" type="TSTRING" default=" " comment="name of astrometric projection in RA"></column>
    <column name="ctype2" type="TSTRING" default=" " comment="name of astrometric projection in DEC"></column>
    <column name="crval1" type="TFLOAT" default="-999" comment=" RA corresponding to reference pixel (unit = deg)"></column>
    <column name="crval2" type="TFLOAT" default="-999" comment=" DEC corresponding to reference pixel (unit = deg)"></column>
    <column name="crpix1" type="TFLOAT" default="-999" comment="reference pixel value for RA"></column>
    <column name="crpix2" type="TFLOAT" default="-999" comment="reference pixel value for DEC"></column>
    <column name="pc001001" type="TFLOAT" default="-999" comment="elements of rotation/Dcale matrix"></column>
    <column name="pc001002" type="TFLOAT" default="-999" comment="elements of rotation/Dcale matrix"></column>
    <column name="pc002001" type="TFLOAT" default="-999" comment="elements of rotation/Dcale matrix"></column>
    <column name="pc002002" type="TFLOAT" default="-999" comment="elements of rotation/Dcale matrix"></column>
    <column name="polyOrder" type="TBYTE" default="255" comment="polynomial order of astrometry fit"></column>
    <column name="pca1x3y0" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca1x2y1" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca1x1y2" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca1x0y3" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca1x2y0" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca1x1y1" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca1x0y2" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca2x3y0" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca2x2y1" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca2x1y2" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca2x0y3" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca2x2y0" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca2x1y1" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca2x0y2" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="calibModNum" type="TSHORT" default="0" comment="calibration modification number"></column>
    <column name="dataRelease" type="TBYTE" default="0" comment="Data release"></column>
  </table>
  <table name="ImageMeta">
    <column name="imageID" type="TLONGLONG" default="0" comment="unique ID for each image, hashed from frameID and ccdID (ALEX)"></column>
    <column name="frameID" type="TLONG" default="0" comment="frame identifier, also known as exposure number"></column>
    <column name="ccdID" type="TSHORT" default="0" comment="ccd cell identifier in the focal plane"></column>
    <column name="photoCalID" type="TLONG" default="0" comment="photometry reduction code identifier"></column>
    <column name="filterID" type="TBYTE" default="0" comment="filter ID"></column>
    <column name="bias" type="TFLOAT" default="-999" comment=" detector bias level (unit = ADU)"></column>
    <column name="biasScat" type="TFLOAT" default="-999" comment=" scatter in bias level (unit = ADU)"></column>
    <column name="sky" type="TFLOAT" default="-999" comment=" mean sky level (unit = ADU)"></column>
    <column name="skyScat" type="TFLOAT" default="-999" comment=" scatter in mean sky level (unit = ADU)"></column>
    <column name="nDetect" type="TLONG" default="-999" comment="number of detections on CCD"></column>
    <column name="magSat" type="TFLOAT" default="-999" comment="saturation magnitude level"></column>
    <column name="completMag" type="TFLOAT" default="-999" comment="95% completion level in mag"></column>
    <column name="astroScat" type="TFLOAT" default="-999" comment="astrometric scatter for chip"></column>
    <column name="photoScat" type="TFLOAT" default="-999" comment="photometric scatter for chip"></column>
    <column name="nAstRef" type="TLONG" default="-999" comment="number of astrometric reference sources"></column>
    <column name="nPhoRef" type="TLONG" default="-999" comment="number of photometric reference sources"></column>
    <column name="nx" type="TSHORT" default="-999" comment="chip dimension in x"></column>
    <column name="ny" type="TSHORT" default="-999" comment="chip dimension in y"></column>
    <column name="psfFwhm" type="TFLOAT" default="-999" comment="PSF full width at half maximum"></column>
    <column name="psfModelID" type="TLONG" default="-999" comment="PSF model identifier"></column>
    <column name="psfWidMajor" type="TFLOAT" default="-999" comment="PSF parameters"></column>
    <column name="psfWidMinor" type="TFLOAT" default="-999" comment="PSF parameters"></column>
    <column name="psfTheta" type="TFLOAT" default="-999" comment="PSF parameters"></column>
    <column name="psfExtra1" type="TFLOAT" default="-999" comment="PSF parameters"></column>
    <column name="psfExtra2" type="TFLOAT" default="-999" comment="PSF parameters"></column>
    <column name="apResid" type="TFLOAT" default="-999" comment="corrected aperture residual"></column>
    <column name="dapResid" type="TFLOAT" default="-999" comment="scatter of aperture corrections"></column>
    <column name="detectorID" type="TSHORT" default="-999" comment="identifier for actual CCD chip"></column>
    <column name="qaFlags" type="TLONG" default="-999" comment="Q/A flags"></column>
    <column name="detrend1" type="TLONGLONG" default="-999" comment="identifier of detrend image 1"></column>
    <column name="detrend2" type="TLONGLONG" default="-999" comment="identifier of detrend image 2"></column>
    <column name="detrend3" type="TLONGLONG" default="-999" comment="identifier of detrend image 3"></column>
    <column name="detrend4" type="TLONGLONG" default="-999" comment="identifier of detrend image 4"></column>
    <column name="detrend5" type="TLONGLONG" default="-999" comment="identifier of detrend image 5"></column>
    <column name="detrend6" type="TLONGLONG" default="-999" comment="identifier of detrend image 6"></column>
    <column name="detrend7" type="TLONGLONG" default="-999" comment="identifier of detrend image 7"></column>
    <column name="detrend8" type="TLONGLONG" default="-999" comment="identifier of detrend image 8"></column>
    <column name="photoZero" type="TFLOAT" default="-999" comment="local derived photometric zero point"></column>
    <column name="ctype1" type="TSTRING" default=" " comment="name of astrometric projection in RA"></column>
    <column name="ctype2" type="TSTRING" default=" " comment="name of astrometric projection in DEC"></column>
    <column name="crval1" type="TFLOAT" default="-999" comment=" RA corresponding to reference pixel (unit = deg)"></column>
    <column name="crval2" type="TFLOAT" default="-999" comment=" DEC corresponding to reference pixel (unit = deg)"></column>
    <column name="crpix1" type="TFLOAT" default="-999" comment="reference pixel value for RA"></column>
    <column name="crpix2" type="TFLOAT" default="-999" comment="reference pixel value for DEC"></column>
    <column name="pc001001" type="TFLOAT" default="-999" comment="elements of rotation/Dcale matrix"></column>
    <column name="pc001002" type="TFLOAT" default="-999" comment="elements of rotation/Dcale matrix"></column>
    <column name="pc002001" type="TFLOAT" default="-999" comment="elements of rotation/Dcale matrix"></column>
    <column name="pc002002" type="TFLOAT" default="-999" comment="elements of rotation/Dcale matrix"></column>
    <column name="polyOrder" type="TBYTE" default="255" comment="polynomial order of astrometry fit"></column>
    <column name="pca1x3y0" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca1x2y1" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca1x1y2" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca1x0y3" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca1x2y0" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca1x1y1" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca1x0y2" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca2x3y0" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca2x2y1" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca2x1y2" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca2x0y3" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca2x2y0" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca2x1y1" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca2x0y2" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="calibModNum" type="TSHORT" default="0" comment="calibration modification number"></column>
    <column name="dataRelease" type="TBYTE" default="0" comment="Data release"></column>
  </table>
  <table name="Detection">
    <column name="objID" type="TLONGLONG" default="0" comment="ODM object identifier"></column>
    <column name="detectID" type="TLONGLONG" default="0" comment="ODM detection identifier"></column>
    <column name="ippObjID" type="TLONGLONG" default="0" comment="object id generated by IPP"></column>
    <column name="ippDetectID" type="TLONGLONG" default="0" comment="detection id generated by IPP"></column>
    <column name="filterID" type="TBYTE" default="0" comment="filter ID: g=1, r=2, i=3, z=4, y=5, w=6, ..."></column>
    <column name="surveyID" type="TBYTE" default="0" comment="survey flag identifier"></column>
    <column name="imageID" type="TLONGLONG" default="0" comment="image id hash of frame identifier &amp; OTA/CCD number"></column>
    <column name="obsTime" type="TFLOAT" default="-999" comment=" Time of mid observation (unit = day)"></column>
    <column name="xPos" type="TFLOAT" default="-999" comment=" measured x on CCD from PSF fit (unit = pix)"></column>
    <column name="yPos" type="TFLOAT" default="-999" comment=" measured y on CCD from PSF fit (unit = pix)"></column>
    <column name="xPosErr" type="TFLOAT" default="-999" comment=" estimated error in x (unit = pix)"></column>
    <column name="yPosErr" type="TFLOAT" default="-999" comment=" estimated error in y (unit = pix)"></column>
    <column name="instFlux" type="TFLOAT" default="-999" comment="PSF instrumental flux"></column>
    <column name="instFluxErr" type="TFLOAT" default="-999" comment="estimated error in flux"></column>
    <column name="peakFlux" type="TFLOAT" default="-999" comment="ratio of peak flux to total flux"></column>
    <column name="psfWidMajor" type="TFLOAT" default="-999" comment="PSF width in major axis"></column>
    <column name="psfWidMinor" type="TFLOAT" default="-999" comment="PSF width in minor axis"></column>
    <column name="psfTheta" type="TFLOAT" default="-999" comment="PSF orientation angle"></column>
    <column name="psfLikelihood" type="TFLOAT" default="-999" comment="PSF likelihood"></column>
    <column name="psfCf" type="TFLOAT" default="-999" comment="PSF coverage factor"></column>
    <column name="infoFlag" type="TLONG" default="-999" comment="bitmask indicating provenance information"></column>
    <column name="sky" type="TFLOAT" default="-999" comment=" PSF sky level at source (unit = adu)"></column>
    <column name="skyErr" type="TFLOAT" default="-999" comment=" estimated error in sky (unit = adu)"></column>
    <column name="sgSep" type="TFLOAT" default="-999" comment="star/galaxy separator"></column>
    <column name="activeFlag" type="TBYTE" default="-999" comment="indicates whether this detection/orphan is still a detection/orphan"></column>
    <column name="assocDate" type="TSTRING" default="28881231" comment="date object association assigned"></column>
    <column name="historyModNum" type="TSHORT" default="0" comment="modification number in the O-D association history"></column>
    <column name="dataRelease" type="TBYTE" default="0" comment="Data release when this detection was originally taken. Recalibrations do not affect this value."></column>
  </table>
  <table name="SkinnyObject">
    <column name="objID" type="TLONGLONG" default="0" comment="ODM object identifier index"></column>
    <column name="ippObjID" type="TLONGLONG" default="0" comment="IPP object number"></column>
    <column name="projectionCellID" type="TLONG" default="-999" comment="projection cell identifier at discovery time"></column>
    <column name="dataRelease" type="TBYTE" default="0" comment="Data release to propagate to the object"></column>
  </table>
  <table name="ObjectCalColor">
    <column name="objID" type="TLONGLONG" default="0" comment="ODM object identifier"></column>
    <column name="ippObjID" type="TLONGLONG" default="0" comment="ipp object identifier"></column>
    <column name="filterID" type="TBYTE" default="0" comment="filter identifier"></column>
    <column name="calColor" type="TFLOAT" default="0" comment=" color adopted for magnitude calculation (unit = mag)"></column>
    <column name="calColorErr" type="TFLOAT" default="0" comment=" error in calibrating color (unit = mag)"></column>
    <column name="calibModNum" type="TSHORT" default="0" comment="calibration modification number"></column>
    <column name="dataRelease" type="TBYTE" default="0" comment="Data release when this color calibration was established"></column>
  </table>
</tableDescriptions>
